Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2
Class BambooServletDispatcher

    java.lang.Object
      ServletDispatcher
          com.atlassian.bamboo.ww2.BambooServletDispatcher

    public class BambooServletDispatcher

extends ServletDispatcher

Constructor Summary
`BambooServletDispatcher()`

Method Summary
`static Bamboo` | `createBambooContainer()`
`void` | `destroy()` Stop and clean up
`void` | `init(ServletConfig servletConfig)`
`static boolean` | `initialise(ServletContext servletContext)`
`static void` | `placeBambooContainerInServletContext(ServletContext context)`
`void` | `service(HttpServletRequest request, HttpServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BambooServletDispatcher

    public BambooServletDispatcher()

Method Detail

### init

    public void init(ServletConfig servletConfig)
              throws ServletException

  Throws:
    `ServletException`

### service

    public void service(HttpServletRequest request,
                        HttpServletResponse response)
                 throws ServletException

  Throws:
    `ServletException`

### destroy

    public void destroy()

  Stop and clean up

### initialise

    public static boolean initialise(ServletContext servletContext)

### placeBambooContainerInServletContext

    public static void placeBambooContainerInServletContext(ServletContext context)
                                                     throws ConfigurationException

  Throws:
    `ConfigurationException`

### createBambooContainer

    public static Bamboo createBambooContainer()
                                        throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.